This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 480631 - Error in shell script "fedora-idm-console" causes problems with arguments containing spaces
Error in shell script "fedora-idm-console" causes problems with arguments con...
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Console (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2009-01-19 10:03 EST by Aleksander Adamowski
Modified: 2015-01-04 18:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:09:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2009-01-19 10:03:40 EST
Description of problem:

When calling fedora-idm-console with an argument which contains whitespace, due to a simple mistake in the shel script the argument is treated as multiple separate arguments.


fedora-idm-console -u 'cn=Directory Manager' 

Version-Release number of selected component (if applicable):
fedora-idm-console-1.1.1-2.fc9

How reproducible:
Try running:

fedora-idm-console -u 'cn=Directory Manager'

You'll notice that in the splash screen, it will display:
Authenticating User ID "cn=Directory"...

instead of:
Authenticating User ID "cn=Directory Manager"...

The fix is very simple, in the last row of the script one has to change the arguments placeholder from $* to "$@".

Like this:

diff  /usr/bin/fedora-idm-console.orig /usr/bin/fedora-idm-console
34c34
< java -cp /usr/lib/java/jss4.jar:/usr/share/java/ldapjdk.jar:$CLASSDEST/idm-console-base.jar:$CLASSDEST/idm-console-mcc.jar:$CLASSDEST/idm-console-mcc_en.jar:$CLASSDEST/idm-console-nmclf.jar:$CLASSDEST/idm-console-nmclf_en.jar:$CLASSDEST/fedora-idm-console-1.1.1_en.jar -Djava.library.path=/usr/lib64 -Djava.util.prefs.systemRoot="$HOME/.fedora-idm-console" -Djava.util.prefs.userRoot="$HOME/.fedora-idm-console" com.netscape.management.client.console.Console $*
---
> java -cp /usr/lib/java/jss4.jar:/usr/share/java/ldapjdk.jar:$CLASSDEST/idm-console-base.jar:$CLASSDEST/idm-console-mcc.jar:$CLASSDEST/idm-console-mcc_en.jar:$CLASSDEST/idm-console-nmclf.jar:$CLASSDEST/idm-console-nmclf_en.jar:$CLASSDEST/fedora-idm-console-1.1.1_en.jar -Djava.library.path=/usr/lib64 -Djava.util.prefs.systemRoot="$HOME/.fedora-idm-console" -Djava.util.prefs.userRoot="$HOME/.fedora-idm-console" com.netscape.management.client.console.Console "$@"
Comment 1 Rich Megginson 2009-01-21 16:31:07 EST
Checking in fedora-idm-console;
/cvs/dirsec/fedora-idm-console/fedora-idm-console,v  <--  fedora-idm-console
new revision: 1.3; previous revision: 1.2
done
Comment 2 Jenny Galipeau 2009-03-19 13:04:22 EDT
Not sure if this is valid for Red Hat Directory Server or just Fedora DS - but able to launch redhat-idm-console -u 'cn=Directory Manager' without issue.
Comment 3 Chandrasekar Kannan 2009-04-29 19:09:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.